\\ Copyright 2014, 2015 Kevin Ryde
\\
\\ This file is free software; you can redistribute it and/or modify it
\\ under the terms of the GNU General Public License as published by the Free
\\ Software Foundation; either version 3, or (at your option) any later
\\ version.
\\
\\ This file is distributed in the hope that it will be useful, but
\\ WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
\\ or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
\\ for more details.
\\
\\ You should have received a copy of the GNU General Public License along
\\ with this file.  See the file COPYING.  If not, see
\\ <http://www.gnu.org/licenses/>.

{
if(version()[1]>2 || version()[2]>5,
   default(strictargs,1);
   iferr((()->read("pol-pfrac.gp"); read("test.gp"))(),
         e,
         (()->print("Error ",errname(e),"\n",e);quit(1))()),

   if(type(gcdext) != "t_CLOSURE", eval("gcdext(x,y)=bezout(x,y)"));
   if(type(vecsum) != "t_CLOSURE", eval("vecsum(v)=sum(i=1,#v,v[i])"));
   read("pol-pfrac.gp");
   read("test.gp"));
}

quit(0);
